# Interface IXmlableObject

#### Hierarchy

- Object
  - IXmlableObject

#### Indexable

[key: string]: any

- Defined in src/file/xml-components/xmlable-object.ts:4

#####
Index

### Properties

constructor
should

### Methods

hasOwnProperty
isPrototypeOf
propertyIsEnumerable
toLocaleString
toString
valueOf

## Properties

### constructor

constructor: Function

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

Inherited from Object.constructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:125

### should

should: Assertion

Inherited from Object.should

- Defined in node_modules/@types/chai/index.d.ts:1939

## Methods

### hasOwnProperty

- hasOwnProperty(v): boolean

- Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

  Inherited from Object.hasOwnProperty

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:140

### isPrototypeOf

- isPrototypeOf(v): boolean

- Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

  Inherited from Object.isPrototypeOf

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:146

### propertyIsEnumerable

- propertyIsEnumerable(v): boolean

- Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

  Inherited from Object.propertyIsEnumerable

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:152

### toLocaleString

- toLocaleString(): string

- Returns a date converted to a string using the current locale.

  #### Returns string

  Inherited from Object.toLocaleString

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:131

### toString

- toString(): string

- Returns a string representation of an object.

  #### Returns string

  Inherited from Object.toString

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:128

### valueOf

- valueOf(): Object

- Returns the primitive value of the specified object.

  #### Returns Object

  Inherited from Object.valueOf

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:134

Generated using TypeDoc